{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"If you are watching a repository, you receive notifications for all threads by default. Use this endpoint to ignore future notifications for threads until you comment on the thread or get an **@mention**.\n\nYou can also use this endpoint to subscribe to threads that you are currently not receiving notifications for or to subscribed to threads that you have previously ignored.\n\nUnsubscribing from a conversation in a repository that you are not watching is functionally equivalent to the [Delete a thread subscription](https://docs.github.com/rest/activity/notifications#delete-a-thread-subscription) endpoint.","properties":{"path":{"type":"object","properties":{"thread_id":{"type":"integer","description":"The unique identifier of the notification thread. This corresponds to the value returned in the `id` field when you retrieve notifications (for example with the [`GET /notifications` operation](https://docs.github.com/rest/activity/notifications#list-notifications-for-the-authenticated-user))."}},"required":["thread_id"],"additionalProperties":false},"body":{"properties":{"ignored":{"description":"Whether to block all notifications from a thread.","default":false,"type":"boolean"}},"type":"object","examples":[{"ignored":false}]}},"required":["path"],"additionalProperties":false},"name":"Set a thread subscription","id":"github.activity.set-thread-subscription","example":{"path":{"thread_id":1}},"maxRequests":1,"summary":false}}